/* ---------初回表示制御--------- */
jQuery(function(){


  /* アイキャッチ画像の高さを設定 */
  var img_height = (jQuery(".eyecatch  img").width() * 284)/426;
  jQuery(".eyecatch  img").css('height', img_height);

  /* ドロップダウンメニュー */
  if (window.matchMedia('(min-width:769px)').matches) {
    jQuery("#dorp_menu_hidden").show();
  }
  else {
    jQuery("#dorp_menu_hidden").hide();
  }
  jQuery("#spnavi li").click(function(){
    if(jQuery("#dorp_menu_hidden").is(":hidden")){
      jQuery("#dorp_menu_hidden:not(:animated)").slideDown("fast");
    }
    else{
      jQuery("#dorp_menu_hidden:not(:animated)").slideUp("fast");
    }
  });

  /* TOP-Pageボタン制御 */
  var topBtn = jQuery('.page-top');
  topBtn.hide();
  //スクロールが100に達したらボタン表示
  jQuery(window).scroll(function () {
      if (jQuery(this).scrollTop() > 100) {
          topBtn.fadeIn();
      } else {
          topBtn.fadeOut();
      }
  });
  //スクロールしてトップ
  topBtn.click(function () {
      jQuery('body,html').animate({
          scrollTop: 0
      }, 500);
      return false;
  });


});

/* ---------Windowがリサイズされた時の制御--------- */
var timer = false;
jQuery(window).resize(function() {
  if(timer != false) {
    clearTimeout(timer);
  }
  timer = setTimeout(function() {
/*    console.log('resized'); */

    /* アイキャッチ画像の高さを設定 */
    var img_height = (jQuery(".eyecatch  img").width() * 284)/426;
    jQuery(".eyecatch  img").css('height', img_height);



    if (window.matchMedia('(min-width:769px)').matches) {
      /* PCサイトサイズになったら、ナビメニュー表示 */
      jQuery("#dorp_menu_hidden").show();
    }
    else{
      /* スマホサイズになったら、ナビメニューは隠す（ドロップダウンメニュー） */
      jQuery("#dorp_menu_hidden").hide();
    }

  }, 200);

});
